OpenGL-2.8.0.0: A binding for the OpenGL graphics system

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de
Safe Haskell | None

Graphics.Rendering.OpenGL.GL.PixelRectangles.ColorTable

Description

This module corresponds to a part of section 3.6.1 (Pixel Storage Modes) of the OpenGL 2.1 specs.

# Documentation

data ColorTableStage Source

Constructors

ColorTableStage |
PostConvolutionColorTableStage |
PostColorMatrixColorTableStage |
TextureColorTableStage |

Instances

Eq ColorTableStage |
Ord ColorTableStage |
Show ColorTableStage |

colorTableStage :: ColorTableStage -> StateVar Capability Source

data Proxy Source

Constructors

NoProxy |
Proxy |

Instances

Eq Proxy |
Ord Proxy |
Show Proxy |

data ColorTable Source

Constructors

ColorTable |
PostConvolutionColorTable |
PostColorMatrixColorTable |
Texture1DColorTable |
Texture2DColorTable |
Texture3DColorTable |
TextureCubeMapColorTable |
TextureColorTable |
SharedTexturePalette |

Instances

Eq ColorTable |
Ord ColorTable |
Show ColorTable |

data PixelInternalFormat Source

Constructors

Alpha' |
DepthComponent' |
Luminance' |
LuminanceAlpha' |
Intensity |
R8 |
R16 |
RG8 |
RG16 |
RGB' |
RGBA' |
SRGB |
SRGBAlpha |
SLuminance |
SLuminanceAlpha |
Alpha4 |
Alpha8 |
Alpha12 |
Alpha16 |
DepthComponent16 |
DepthComponent24 |
DepthComponent32 |
Luminance4 |
Luminance8 |
Luminance12 |
Luminance16 |
Luminance4Alpha4 |
Luminance6Alpha2 |
Luminance8Alpha8 |
Luminance12Alpha4 |
Luminance12Alpha12 |
Luminance16Alpha16 |
Intensity4 |
Intensity8 |
Intensity12 |
Intensity16 |
R3G3B2 |
RGB4 |
RGB5 |
RGB8 |
RGB10 |
RGB12 |
RGB16 |
RGBA2 |
RGBA4 |
RGB5A1 |
RGBA8 |
RGB10A2 |
RGBA12 |
RGBA16 |
SRGB8 |
SRGB8Alpha8 |
R16F |
RG16F |
RGB16F |
RGBA16F |
R32F |
RG32F |
RGB32F |
RGBA32F |
R8I |
R8UI |
R16I |
R16UI |
R32I |
R32UI |
RG8I |
RG8UI |
RG16I |
RG16UI |
RG32I |
RG32UI |
RGB8I |
RGB8UI |
RGB16I |
RGB16UI |
RGB32I |
RGB32UI |
RGBA8I |
RGBA8UI |
RGBA16I |
RGBA16UI |
RGBA32I |
RGBA32UI |
SLuminance8 |
SLuminance8Alpha8 |
CompressedAlpha |
CompressedLuminance |
CompressedLuminanceAlpha |
CompressedIntensity |
CompressedRed |
CompressedRG |
CompressedRGB |
CompressedRGBA |
CompressedSRGB |
CompressedSRGBAlpha |
CompressedSLuminance |
CompressedSLuminanceAlpha |
CompressedRedRGTC1 |
CompressedSignedRedRGTC1 |
CompressedRG_RGTC2 |
CompressedSignedRG_RGTC2 |
DepthComponent32f |
Depth32fStencil8 |
RGB9E5 |
R11fG11fB10f |
StencilIndex1 |
StencilIndex4 |
StencilIndex8 |
StencilIndex16 |

Instances

Eq PixelInternalFormat |
Ord PixelInternalFormat |
Show PixelInternalFormat |

colorTable :: Proxy -> ColorTable -> PixelInternalFormat -> GLsizei -> PixelData a -> IO ()Source

getColorTable :: ColorTable -> PixelData a -> IO ()Source

copyColorTable :: ColorTable -> PixelInternalFormat -> Position -> GLsizei -> IO ()Source

colorSubTable :: ColorTable -> GLsizei -> GLsizei -> PixelData a -> IO ()Source

copyColorSubTable :: ColorTable -> GLsizei -> Position -> GLsizei -> IO ()Source

colorTableScale :: ColorTableStage -> StateVar (Color4 GLfloat)Source

colorTableBias :: ColorTableStage -> StateVar (Color4 GLfloat)Source

colorTableFormat :: ColorTable -> GettableStateVar PixelInternalFormat Source

colorTableWidth :: ColorTable -> GettableStateVar GLsizei Source

colorTableRGBASizes :: ColorTable -> GettableStateVar (Color4 GLsizei)Source

colorTableLuminanceSize :: ColorTable -> GettableStateVar GLsizei Source

colorTableIntesitySize :: ColorTable -> GettableStateVar GLsizei Source